
select a.userID,
        a.nameL as Last,
        a.nameF as First,
        a.nameM as M,
        d.name as Source,
        e.name as Type,
        sum( b.waterShares ) as Shares,
        sum( b.waterAcreFt ) as Inventory
from users a,
        WaterTypeUser b,
        WaterSourceType c,
        WaterSource d,
        WaterType e
where b.userID = a.userID
and b.waterShares > 0.0
and c.watersourcetypeID = b.watersourcetypeID
and d.watersourceID = c.watersourceID
and e.waterTypeID = c.watertypeID
group by a.userID, a.nameL, a.nameF, a.nameM, d.name, e.name
order by a.nameL, a.nameF, a.nameM, d.name, e.name;


