select a.userID, 
	c.watersourcetypeID, 
	c.watersharecategoryID, 
	a.addr_ln_2 as Name, 
	a.addr_ln_2 as Source, 
	b.UoM as UoM, 
	b.bill as UoMBill, 
	b.balance as Balance, 
	b.lastpayment as LastPayment, 
	b.dateDue as DueDate 
from users a, 
	OrderBill b, 
	OrderBillRate c, 
	WaterSourceType d, 
	WaterSource e, 
	WaterType f 
where b.userID = a.userID 
	and c.orderbillrateID = b.orderbillrateID 
	and d.watersourcetypeID = c.watersourcetypeID 
	and e.watersourceID = d.watersourceID 
	and f.waterTypeID = d.watertypeID 
order by a.nameL, a.nameF, a.nameM, e.name, f.name;